Is version 5.3.1 compatible with the new Mac OS?